package cn.hnthyy.thmz.service.thmz;


import cn.hnthyy.thmz.entity.thmz.Token;

import java.util.List;

/**
 * 门诊系统token服务接口
 */
public interface TokenService {
    /**
     * 新增Token记录
     * @param token
     * @return
     */
    int saveToken(Token token);


    /**
     * 查询所有的token记录
     * @return
     */
    List<Token> queryAll();

    /**
     * 初始化本地token缓存
     */
    void initCacheMap();

    /**
     * 从缓存中查询token对象
     * @param token token值
     * @return
     */
    Token queryFromCache(String token);

    /**
     * 失效Token
     * @param token token值
     */
    void expiryToken(String token);

    /**
     * 刷新缓存中的token，将到时间的token删除掉
     */
    void refreshTokenCache();
}
